"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libcomp' }"

LibraryDefinition subclass:#stx_libcomp
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libcomp class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libcomp.
    This library contains the smalltalk parser and bytecode compiler.
"
! !

!stx_libcomp class methodsFor:'description'!

preRequisites
    ^ #(
	#'stx:libbasic'    "Fraction - referenced by MessageNode>>plausibilityCheck "
	#'stx:libbasic2'    "Text - referenced by Parser>>selectorCheck:for:positions: "
    )
! !

!stx_libcomp class methodsFor:'description - compilation'!

additionalDefinitions_bc_dot_mak
    ^ '
# see stdHeader_bc for LIBCOMP_BASE
# LIBCOMP_BASE   =0x61000000
LIB_BASE_LD_ARG=-b:$(LIBCOMP_BASE)
'
!

stcOptimizationOptions
    ^ '+optinline'

    "Created: / 23-08-2006 / 11:27:31 / cg"
! !

!stx_libcomp class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
	"<className> or (<className> attributes...) in load order"
	AssignmentNode
	BinaryNode
	BlockNode
	ByteCodeCompiler
	CascadeNode
	(CodeStream auto)
	CompilationErrorHandler
	ConstantNode
	Decompiler
	Explainer
	ImmutableArray
	ImmutableString
	LazyMethod
	MessageNode
	(MethodNode auto)
	(NullScope auto)
	ObjectFileHandle
	ObjectFileLoader
	(OldParserTest auto)
	(ParameterNode auto)
	ParseErrorNode
	ParseNode
	Parser
	ParserFlags
	PrimaryNode
	PrimitiveNode
	ProgramNode
	ProgramNodeBuilder
	ProgramNodeEnumerator
	(Reference auto)
	ReturnNode
	STCCompilerInterface
	Scanner
	SelfNode
	SourceFileLoader
	StatementNode
	Structure
	SuperNode
	Switch
	(SyntaxError auto)
	SyntaxHighlighter
	UnaryNode
	UndefinedVariable
	Variable
	VariableNode
	WarningCompilationErrorHandler
	#'stx_libcomp'
    )
!

extensionMethodNames
    ^ #(
	Object notifyTodo:position:className:selector:severity:priority:equalityParameter:checkAction:
    )
! !

!stx_libcomp class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Bytecode Compiler'
!

legalCopyright
    "Return copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libcomp class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libcomp/stx_libcomp.st,v 1.18 2007-03-17 11:38:51 cg Exp $'
! !
